* {
  box-sizing: border-box;
}

body {
  font-family: 'Roboto Mono', monospace;
  background-color: #1f1f1f;
  color: #fff;
  font-size: 24px;
  line-height: 1;

  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.wrapper {
  margin: auto;
  padding: 20px;
}

.clock {
  width: 100%;
  max-width: 1400px;
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: 1fr;
  grid-column-gap: 50px;
  grid-row-gap: 0;
}

.number {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: 1fr;
  grid-column-gap: 10px;
  grid-row-gap: 0;
  -webkit-box-align: end;
          align-items: end;
}

.digit {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 9;
  grid-column-gap: 0;
  grid-row-gap: 10px;
}

.digit__number {
  color: #363636;
  -webkit-transform: rotate(-90deg);
          transform: rotate(-90deg);
  -webkit-transition: font-size 200ms, color 150ms, -webkit-transform 350ms;
  transition: font-size 200ms, color 150ms, -webkit-transform 350ms;
  transition: font-size 200ms, transform 350ms, color 150ms;
  transition: font-size 200ms, transform 350ms, color 150ms, -webkit-transform 350ms;
  text-align: center;
}

.digit[data-highlight="0"] .digit__number:nth-of-type(1) {
  color: inherit;
  font-size: 72px;
  -webkit-transform: rotate(0);
          transform: rotate(0);
}

.digit[data-highlight="1"] .digit__number:nth-of-type(2) {
  color: inherit;
  font-size: 72px;
  -webkit-transform: rotate(0);
          transform: rotate(0);
}

.digit[data-highlight="2"] .digit__number:nth-of-type(3) {
  color: inherit;
  font-size: 72px;
  -webkit-transform: rotate(0);
          transform: rotate(0);
}

.digit[data-highlight="3"] .digit__number:nth-of-type(4) {
  color: inherit;
  font-size: 72px;
  -webkit-transform: rotate(0);
          transform: rotate(0);
}

.digit[data-highlight="4"] .digit__number:nth-of-type(5) {
  color: inherit;
  font-size: 72px;
  -webkit-transform: rotate(0);
          transform: rotate(0);
}

.digit[data-highlight="5"] .digit__number:nth-of-type(6) {
  color: inherit;
  font-size: 72px;
  -webkit-transform: rotate(0);
          transform: rotate(0);
}

.digit[data-highlight="6"] .digit__number:nth-of-type(7) {
  color: inherit;
  font-size: 72px;
  -webkit-transform: rotate(0);
          transform: rotate(0);
}

.digit[data-highlight="7"] .digit__number:nth-of-type(8) {
  color: inherit;
  font-size: 72px;
  -webkit-transform: rotate(0);
          transform: rotate(0);
}

.digit[data-highlight="8"] .digit__number:nth-of-type(9) {
  color: inherit;
  font-size: 72px;
  -webkit-transform: rotate(0);
          transform: rotate(0);
}

.digit[data-highlight="9"] .digit__number:nth-of-type(10) {
  color: inherit;
  font-size: 72px;
  -webkit-transform: rotate(0);
          transform: rotate(0);
}
